function ris=newton_phi_odd(bodd,power)
m=length(bodd);

F=map_phi_odd(bodd,m);
while norm(F,inf)>10^(-power)
    J1=jacobian_map_phi_odd(bodd);
    V1=bodd-J1\F;
    bodd=V1;
    F=map_phi_odd(bodd,m);
  %  display(['Inf-norm of map=',num2str(norm(F,inf))]);
    
end
ris=bodd;

end
